Avro C#

Public Member Functions | List of all members
Avro.Reflect.TypedFieldConverter< TAvro, TProperty > Class Template Referenceabstract

Constructor More...

Inheritance diagram for Avro.Reflect.TypedFieldConverter< TAvro, TProperty >:

## Public Member Functions
abstract TProperty | From (TAvro o, Schema s)
| Convert from Avro type to property type More...
abstract TAvro | To (TProperty o, Schema s)
| Convert from property type to Avro type More...
object | FromAvroType (object o, Schema s)
| Implement untyped interface More...
Type | GetAvroType ()
| Implement untyped interface More...
Type | GetPropertyType ()
| Implement untyped interface More...
object | ToAvroType (object o, Schema s)
| Implement untyped interface More...

## Detailed Description

Constructor

Template Parameters

  TAvro | Avro type
  TProperty | Property type

## Member Function Documentation

## ◆ From()

abstract TProperty Avro.Reflect.TypedFieldConverter< TAvro, TProperty >.From | ( | TAvro | o,
|  | Schema | s
| ) |  |
| pure virtual

Convert from Avro type to property type

Parameters

  o | Avro value
  s | Schema

Returns
  Property value

Implemented in Avro.Reflect.FuncFieldConverter< TAvro, TProperty >.

## ◆ FromAvroType()

object Avro.Reflect.TypedFieldConverter< TAvro, TProperty >.FromAvroType | ( | object | o,
|  | Schema | s
| ) |  |
| inline

Implement untyped interface

Parameters

  o |
  s |

Returns

Implements Avro.Reflect.IAvroFieldConverter.

## ◆ GetAvroType()

Type Avro.Reflect.TypedFieldConverter< TAvro, TProperty >.GetAvroType | ( |  | ) |
| inline

Implement untyped interface

Returns

Implements Avro.Reflect.IAvroFieldConverter.

## ◆ GetPropertyType()

Type Avro.Reflect.TypedFieldConverter< TAvro, TProperty >.GetPropertyType | ( |  | ) |
| inline

Implement untyped interface

Returns

Implements Avro.Reflect.IAvroFieldConverter.

## ◆ To()

abstract TAvro Avro.Reflect.TypedFieldConverter< TAvro, TProperty >.To | ( | TProperty | o,
|  | Schema | s
| ) |  |
| pure virtual

Convert from property type to Avro type

Parameters

  o |
  s |

Returns

Implemented in Avro.Reflect.FuncFieldConverter< TAvro, TProperty >.

## ◆ ToAvroType()

object Avro.Reflect.TypedFieldConverter< TAvro, TProperty >.ToAvroType | ( | object | o,
|  | Schema | s
| ) |  |
| inline

Implement untyped interface

Parameters

  o |
  s |

Returns

Implements Avro.Reflect.IAvroFieldConverter.

The documentation for this class was generated from the following file:

- src/apache/main/Reflect/TypedFieldConverter.cs